path: /build/build/readline-sys-libs-8.2+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/readline && luet-portage --dir
    /pkgdir/readline sys-libs/readline
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4fc583639e720f7588a6eb65bf5a4825f9c30b4cc313af1d9f227888e458518a
  package:
    name: readline
    version: 8.2+2
    category: sys-libs
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Another cute console display library
    uri:
    - https://tiswww.case.edu/php/chet/readline/rltop.html
    license: GPL-3
    buildtimestamp: 2024-02-02 10:43:13.286413216 +0000 UTC m=+36.480029972
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: '>=sys-libs/ncurses-5.9-r3:=[static-libs?,-mgorny(-)]'
      IUSE: static-libs +unicode utils abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64 +split-usr
      RDEPEND: '>=sys-libs/ncurses-5.9-r3:=[static-libs?,-mgorny(-)]'
      emerge.packages: sys-libs/readline
      kit: core-kit
      original.package.name: sys-libs/readline
      original.package.slot: "0"
      original.package.version: 8.2_p10
    treedir: /build/packages
  package_dir: /pkgdir/readline
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 24bbfaa02f8d96c4825e15667947f5e61a701a4c058ef97de5eed347f1a44de4
compressiontype: zstd
files:
- lib64/libhistory.so.8
- lib64/libhistory.so.8.2
- lib64/libreadline.so.8
- lib64/libreadline.so.8.2
- usr/include/readline/chardefs.h
- usr/include/readline/history.h
- usr/include/readline/keymaps.h
- usr/include/readline/readline.h
- usr/include/readline/rlconf.h
- usr/include/readline/rlmbutil.h
- usr/include/readline/rlstdc.h
- usr/include/readline/rltypedefs.h
- usr/include/readline/tilde.h
- usr/lib64/libhistory.so
- usr/lib64/libreadline.so
- usr/lib64/pkgconfig/history.pc
- usr/lib64/pkgconfig/readline.pc
- usr/share/doc/readline-8.2_p10/CHANGELOG.bz2
- usr/share/doc/readline-8.2_p10/CHANGES.bz2
- usr/share/doc/readline-8.2_p10/INSTALL.bz2
- usr/share/doc/readline-8.2_p10/NEWS.bz2
- usr/share/doc/readline-8.2_p10/README.bz2
- usr/share/doc/readline-8.2_p10/USAGE.bz2
- usr/share/doc/readline-8.2_p10/html/history.html
- usr/share/doc/readline-8.2_p10/html/readline.html
- usr/share/doc/readline-8.2_p10/html/rluserman.html
- usr/share/doc/readline-8.2_p10/ps/history.ps.bz2
- usr/share/doc/readline-8.2_p10/ps/history_3.ps.bz2
- usr/share/doc/readline-8.2_p10/ps/readline.ps.bz2
- usr/share/doc/readline-8.2_p10/ps/readline_3.ps.bz2
- usr/share/doc/readline-8.2_p10/ps/rluserman.ps.bz2
- usr/share/info/history.info.bz2
- usr/share/info/readline.info.bz2
- usr/share/info/rluserman.info.bz2
- usr/share/man/man3/history.3.bz2
- usr/share/man/man3/readline.3.bz2
- var/db/pkg/sys-libs/readline-8.2_p10/BDEPEND
- var/db/pkg/sys-libs/readline-8.2_p10/BUILD_TIME
- var/db/pkg/sys-libs/readline-8.2_p10/CATEGORY
- var/db/pkg/sys-libs/readline-8.2_p10/CBUILD
- var/db/pkg/sys-libs/readline-8.2_p10/CFLAGS
- var/db/pkg/sys-libs/readline-8.2_p10/CHOST
- var/db/pkg/sys-libs/readline-8.2_p10/CONTENTS
- var/db/pkg/sys-libs/readline-8.2_p10/COUNTER
- var/db/pkg/sys-libs/readline-8.2_p10/CXXFLAGS
- var/db/pkg/sys-libs/readline-8.2_p10/DEFINED_PHASES
- var/db/pkg/sys-libs/readline-8.2_p10/DEPEND
- var/db/pkg/sys-libs/readline-8.2_p10/DESCRIPTION
- var/db/pkg/sys-libs/readline-8.2_p10/EAPI
- var/db/pkg/sys-libs/readline-8.2_p10/FEATURES
- var/db/pkg/sys-libs/readline-8.2_p10/HOMEPAGE
- var/db/pkg/sys-libs/readline-8.2_p10/INHERITED
- var/db/pkg/sys-libs/readline-8.2_p10/IUSE
- var/db/pkg/sys-libs/readline-8.2_p10/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/readline-8.2_p10/KEYWORDS
- var/db/pkg/sys-libs/readline-8.2_p10/LDFLAGS
- var/db/pkg/sys-libs/readline-8.2_p10/LICENSE
- var/db/pkg/sys-libs/readline-8.2_p10/NEEDED
- var/db/pkg/sys-libs/readline-8.2_p10/PF
- var/db/pkg/sys-libs/readline-8.2_p10/PROVIDES
- var/db/pkg/sys-libs/readline-8.2_p10/RDEPEND
- var/db/pkg/sys-libs/readline-8.2_p10/REQUIRES
- var/db/pkg/sys-libs/readline-8.2_p10/SIZE
- var/db/pkg/sys-libs/readline-8.2_p10/SLOT
- var/db/pkg/sys-libs/readline-8.2_p10/USE
- var/db/pkg/sys-libs/readline-8.2_p10/environment.bz2
- var/db/pkg/sys-libs/readline-8.2_p10/readline-8.2_p10.ebuild
- var/db/pkg/sys-libs/readline-8.2_p10/repository
package_cacheimage: ""
runtime:
  name: readline
  version: 8.2+2
  category: sys-libs
  requires:
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Another cute console display library
  uri:
  - https://tiswww.case.edu/php/chet/readline/rltop.html
  license: GPL-3
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: '>=sys-libs/ncurses-5.9-r3:=[static-libs?,-mgorny(-)]'
    IUSE: static-libs +unicode utils abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64 +split-usr
    RDEPEND: '>=sys-libs/ncurses-5.9-r3:=[static-libs?,-mgorny(-)]'
    emerge.packages: sys-libs/readline
    kit: core-kit
    original.package.name: sys-libs/readline
    original.package.slot: "0"
    original.package.version: 8.2_p10
